import CthulhuEternalItemSheet from "./base-item-sheet.mjs"

export default class CthulhuEternalArchetypeSheet extends CthulhuEternalItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["archetype"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["archetype-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-cthulhu-eternal/templates/archetype.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await TextEditor.enrichHTML(this.document.system.description, { async: true })
    return context
  }
}
